## libaudclient 3.5~rc2

=== Makefile ===
SUBDIRS = src

DISTCLEAN = audclient.pc buildsys.mk config.h config.log config.status extra.mk

include buildsys.mk

install-extra:
	for i in audclient.pc; do \
	        ${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${pkgconfigdir} && ${INSTALL} -m 644 $$i ${DESTDIR}${pkgconfigdir}/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi; \
	done

uninstall-extra:
	for i in audclient.pc; do \
		if [ -f ${DESTDIR}${pkgconfigdir}/$$i ]; then \
			if rm -f ${DESTDIR}${pkgconfigdir}/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi; \
	done

=== src/Makefile ===
SUBDIRS = libaudclient audacious

include ../extra.mk
include ../buildsys.mk

=== src/audacious/Makefile ===
INCLUDES = dbus.h
CLEAN = dbus-client-bindings.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = audacious

dbus-client-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-client --prefix=audacious_rc objects.xml > $@

=== src/libaudclient/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audclient${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = audctrl.c
INCLUDES = audctrl.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = audacious

pre-depend:
	cd ../audacious; ${MAKE} ${MFLAGS} dbus-client-bindings.h

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${DBUS_CFLAGS} \
            ${GLIB_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS += ${GLIB_LIBS}	\
	${DBUS_LIBS}

=== debian/changelog ===
libaudclient (3.5~rc2-3) unstable; urgency=medium

  * Team upload
  * Import on Salsa
  * Reformat with debputy

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 15:30:28 +0200

libaudclient (3.5~rc2-2) unstable; urgency=medium

  * Team upload
  * Change maintainer address to debian-multimedia@lists.debian.org
  * Update debhelper-compat to 10

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 22:20:51 +0200

libaudclient (3.5~rc2-1) unstable; urgency=medium

  * Libaudclient is now a separate package.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 25 Jul 2014 14:55:14 +0200

audacious (3.4.3-1) unstable; urgency=low

  * New upstream release. Closes: #728502
  * Update symbols

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 30 Nov 2013 08:12:12 +1100

audacious (3.4.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Avoid FTBFS on distclean failure.
  * Refresh symbols.
  * Remove myself from uploaders.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Sep 2013 09:40:44 +0100

audacious (3.4-1) unstable; urgency=low

  * New upstream release:
    - Fix regression on reading m3u files containing empty
      lines. (Closes: #705899)
  * Tighten runtime dependency on audacious-plugins. (Closes: #708693)
  * Update debian/copyright.
  * Remove libmcs-dev from audacious-dev's Dependency field.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Jul 2013 16:46:38 +0100

audacious (3.3.4-2) unstable; urgency=low

  * Upload to unstable.
  * Correct capitalization of such words as Winamp and
    D-Bus. (Closes: #620862)
  * Remove build-dependency on libmcs-dev. (Closes: #705098)

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 09:32:25 +0200

audacious (3.3.4-1) experimental; urgency=low

  * New upstream release.
  * Fix Vcs-* tags.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 05 Feb 2013 08:29:49 +0000

audacious (3.3.3-2) experimental; urgency=low

  * Move <libaudcore/audio.h> into the Multi-Arch domain. (Closes: #674492)

 -- Alessio Treglia <alessio@debian.org>  Thu, 20 Dec 2012 20:53:12 +0000

audacious (3.3.3-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Dec 2012 20:38:10 +0000

audacious (3.3.2-1) experimental; urgency=low

  * New upstream release.
  * Add myself to the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Dec 2012 10:27:23 +0000

audacious (3.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh debian/libaudcore1.symbols.
  * Remove debian/patches/*, all patches do not apply anymore.
  * Remove README from debian/audacious.docs, upstream doesn't
    provide it anymore.

 -- Alessio Treglia <alessio@debian.org>  Thu, 06 Sep 2012 17:35:38 +0200

audacious (3.2.3-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jun 2012 13:27:56 +0200

audacious (3.2.2-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 May 2012 13:11:45 +0200

audacious (3.2.2-1) experimental; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * New upstream release.
  * Update symbols file:
    - Tag disappeared symbols as optional.

  [ Cyril LAVIER ]
  * debian/rules : Removed the optimisation level tweaking for sparc.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 17:51:18 +0200

audacious (3.2.1-2) unstable; urgency=low

  * Team upload.
  * Build with GTK3. (LP: #923052)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Mar 2012 00:12:46 +0100

audacious (3.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release:
    - Single-key playback shortcuts are back.
    - PulseAudio output plugin sets buffer size correctly.
    - Buildsystem cleanups.
    - Translation updates.
    - Other minor fixes.
  * Set the -dbg package as Multi-Arch: same.
  * Update watch file.

 -- Alessio Treglia <alessio@debian.org>  Sun, 19 Feb 2012 18:29:45 +0100

audacious (3.2-2) unstable; urgency=low

  [ Cyril Lavier ]
  * debian/rules:
    + Changed the optimisation level for sparc. (Closes: #659820)

  [ Alessio Treglia ]
  * Build for Multiarch.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Fri, 17 Feb 2012 09:57:08 +0100

audacious (3.2-1) unstable; urgency=low

  * New upstream release. (Closes: #639374, #657081)
  * debian/control:
    + Removed all references to libmowgli
    + Added libuchardet-dev and libguess-dev as build-dep
    + Raised the Standards-Version to 3.9.2
  * debian/libaudclient2.symbols: symbols file updated
  * debian/libaudcore1.symbols: symbols file updated
  * debian/menu: command changed to "/usr/bin/audacious"

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Thu, 26 Jan 2012 22:54:40 +0100

audacious (2.4.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
    - Merge ld --no-add-needed FTBFS fix from experimental. (Closes: #618108)
  * debian/patches/bp-audtag-debugging-output.patch: Refresh to make patch
    apply without fuzz.
  * debian/control: Improve package description, remove mention of codecs
    not provided in -plugins package, add clarification on how support for
    more codecs can be added through plugins. (Closes: #519160)
  * debian/libaudcore1.symbols: Update according to changes in new upstream
    release.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Mon, 04 Apr 2011 14:11:24 +0200

audacious (2.4.3-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/bp-audtag-debugging-output.patch: Refresh to make patch
    apply without fuzz.
  * debian/libaudcore1.symbols: Update symbols list.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 25 Jan 2011 14:59:58 +0100

audacious (2.4.2-1) experimental; urgency=low

  * New upstream release (Closes: #597179, LP: #579605, #625208).


=== debian/control ===
Source: libaudclient
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrew Shadura <andrewsh@debian.org>,
Homepage: http://www.audacious-media-player.org/
Build-Depends:
 debhelper-compat (= 10),
 audacious-dev (>= 3.5),
 libdbus-1-dev (>= 0.60),
 libdbus-glib-1-dev (>= 0.60),
Standards-Version: 3.9.5
Vcs-Git: https://salsa.debian.org/multimedia-team/libaudclient.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libaudclient
X-Style: black

Package: libaudclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 audacious-dev (>= 3.5),
 libaudclient2 (= ${binary:Version}),
 ${misc:Depends},
Description: audacious D-Bus remote control library (development files)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a development files and headers for the library
 used to remote control audacious.

Package: libaudclient2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: audacious D-Bus remote control library
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library used to remote control audacious.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Do not link against unused libraries (make dpkg-shlibdeps happy).
export LDFLAGS := $(dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean || true

.PHONY: override_dh_auto_clean

=== debian/watch ===
version=3

opts=uversionmangle=s:-rc:~rc:g http://distfiles.audacious-media-player.org/libaudclient-(.*)\.tar\.bz2
